cURL
curl --request POST \ --url https://api.production.hyperoru.com/api/orders/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "account_id": 123, "name": "<string>", "order_type": "<string>", "quantity": 123, "side": "<string>", "symbol": "<string>", "market": "<string>", "password": "<string>", "price": 123, "session_token": "<string>", "username": "<string>" } '
{ "account_id": 123, "filled_quantity": 123, "id": 123, "market": "<string>", "name": "<string>", "order_no": "<string>", "order_type": "<string>", "quantity": 123, "side": "<string>", "status": "<string>", "symbol": "<string>", "price": 123 }
Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.
POST /api/users/login
Authorization: Bearer <token>
Create an order
Was this page helpful?